=== modified file 'plugin/innobase/row/row0mysql.c'
--- plugin/innobase/row/row0mysql.c	2010-05-22 00:29:14 +0000
+++ plugin/innobase/row/row0mysql.c	2010-09-25 07:42:23 +0000
@@ -95,25 +95,6 @@
 	((str1_len) == sizeof(str2_onstack) \
 	 && memcmp(str1, str2_onstack, sizeof(str2_onstack)) == 0)
 
-/*******************************************************************//**
-Determine if the given name is a name reserved for MySQL system tables.
-@return	TRUE if name is a MySQL system table name */
-static
-ibool
-row_mysql_is_system_table(
-/*======================*/
-	const char*	name)
-{
-	if (strncmp(name, "mysql/", 6) != 0) {
-
-		return(FALSE);
-	}
-
-	return(0 == strcmp(name + 6, "host")
-	       || 0 == strcmp(name + 6, "user")
-	       || 0 == strcmp(name + 6, "db"));
-}
-
 /*********************************************************************//**
 If a table is not yet in the drop list, adds the table to the list of tables
 which the master thread drops in background. We need this on Unix because in
@@ -1793,17 +1774,6 @@
 
 	trx->op_info = "creating table";
 
-	if (row_mysql_is_system_table(table->name)) {
-
-		fprintf(stderr,
-			"InnoDB: Error: trying to create a MySQL system"
-			" table %s of type InnoDB.\n"
-			"InnoDB: MySQL system tables must be"
-			" of the MyISAM type!\n",
-			table->name);
-		goto err_exit;
-	}
-
 	/* Check that no reserved column names are used. */
 	for (i = 0; i < dict_table_get_n_user_cols(table); i++) {
 		if (dict_col_name_is_reserved(
@@ -3648,16 +3618,6 @@
 		      stderr);
 
 		goto funct_exit;
-	} else if (row_mysql_is_system_table(new_name)) {
-
-		fprintf(stderr,
-			"InnoDB: Error: trying to create a MySQL"
-			" system table %s of type InnoDB.\n"
-			"InnoDB: MySQL system tables must be"
-			" of the MyISAM type!\n",
-			new_name);
-
-		goto funct_exit;
 	}
 
 	trx->op_info = "renaming table";

